'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
function calculcateTint(bgColor, factor) {
  if (bgColor.indexOf('rgba') !== -1) {
    bgColor = bgColor.split('(').pop().split(')')[0]; // Extract only the rgba-values
    var recalculated = bgColor.split(',').slice(0, 3).map(function (val) {
      return parseInt(val.trim() * factor);
    });
    return 'rgba(' + recalculated.join(',') + ', 1)';
  } else {
    throw 'The theme-based calulcations needs to get a rgba color';
  }
}

function createTheme(mainColor, isDark) {
  return {
    bgColor: mainColor,
    bgHoverColor: calculcateTint(mainColor, 1.05),
    bgActiveColor: calculcateTint(mainColor, 0.95),
    textColor: isDark ? '#fff' : '#222',
    shadowColor: '#ccc',
    dividerColor: calculcateTint(mainColor, 0.85)
  };
}

var setTheme = exports.setTheme = function setTheme(theme) {
  var html = document.getElementsByTagName('html')[0];
  var pickedTheme = themes[theme];
  for (var key in pickedTheme) {
    html.style.setProperty('--' + key, pickedTheme[key]);
  }
};

var themes = exports.themes = {
  bambora: createTheme('rgba(130,71,181, 1)', true),
  success: createTheme('rgba(40,167,69, 1)', true),
  bamboraGreen: createTheme('rgba(0,166,153, 1)', true),
  bamboraRed: createTheme('rgba(203,70,112, 1)', true)
};